| Qore DataProvider Module Reference 3.2.2

Loading...
Searching...
No Matches
Public Member Functions | List of all members
DataProvider::DelayedObservable Class Reference

This class represents an observable subject that waits for external confirmation before raising events. More...

`#include <Observable.qc.dox.h>`

Inheritance diagram for DataProvider::DelayedObservable:
[legend]

## Public Member Functions
abstract | observersReady ()
| Called when all observers have been added to the object.
| stopEvents ()
| Called to stop generating events.
Public Member Functions inherited from DataProvider::Observable
bool | deregisterObserver (object observer)
| The method deregisters the given observer.
bool | deregisterObserver (Observer observer)
| The method deregisters the given observer.
bool | isActive ()
| Is this object still generating events.
| log (int level, string fmt,...)
| Reimplement this method to implement logging.
| notifyObservers (string event_id, hash< auto > data_)
| The method notifies all subscribed observers.
| registerObserver (object observer,...)
| The method registers the given observer.
| registerObserver (Observer observer,...)
| The method registers the given observer.
| registerObserverArgs (object observer, *list< auto > event_ids)
| The method registers the given observer.
| registerObserverArgs (Observer observer, *list< auto > event_ids)
| The method registers the given observer.
| registerObserverWithFilter (object observer, AbstractEventFilter filter, list< auto > event_ids)
| The method registers the given observer.
| registerObserverWithFilter (object observer, AbstractEventFilter filter,...)
| The method registers the given observer.
| registerObserverWithFilter (Observer observer, AbstractEventFilter filter,...)
| The method registers the given observer.
| registerObserverWithFilterArgs (Observer observer, AbstractEventFilter filter, *list< auto > event_ids)
| The method registers the given observer.

## Additional Inherited Members
Protected Member Functions inherited from DataProvider::Observable
hash< ObserverEventInfo > | registerObserverEventsArgs (hash< ObserverEventInfo > info, list< auto > events)
| Registers observer events.
Protected Attributes inherited from DataProvider::Observable
hash< string, hash< ObserverEventInfo > > | observer_map
| maps from object hash -> object

## Detailed Description

This class represents an observable subject that waits for external confirmation before raising events.

## Member Function Documentation

## ◆ observersReady()

abstract DataProvider::DelayedObservable::observersReady | ( |  | ) |

Called when all observers have been added to the object.

This method is meant to trigger event generation

## ◆ stopEvents()

DataProvider::DelayedObservable::stopEvents | ( |  | ) |

Called to stop generating events.

By default this method does nothing; override in subclasses to add functionality